complexType "ProposedCollateral"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (deliver, return?) | return
</...>

Content Model Elements (3):

  deliver (defined in ProposedCollateral complexType), return (defined in ProposedCollateral complexType), | return (defined in ProposedCollateral complexType)

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in requestCollateralAcceptance),
  segregatedIndependentAmount (in requestCollateralAcceptance),
  variationMargin (in requestCollateralAcceptance)

Known Usage Locations

- As direct type of elements (3):
  segregatedIndependentAmount (in requestCollateralAcceptance),
  segregatedIndependentAmount (in requestCollateralAcceptance),
  variationMargin (in requestCollateralAcceptance)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ProposedCollateral"> <xsd:choice> <xsd:sequence> <xsd:element name="deliver" type="ProposedCollateralDeliveryReturn"/> <xsd:element minOccurs="0" name="return" type="ProposedCollateralDeliveryReturn"/> </xsd:sequence> <xsd:element name="return" type="ProposedCollateralDeliveryReturn"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
deliver

  Type: | ProposedCollateralDeliveryReturn, complex content

  proposed collateral to be delivered
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliver" type="ProposedCollateralDeliveryReturn"/>

return

  Type: | ProposedCollateralDeliveryReturn, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="return" type="ProposedCollateralDeliveryReturn"/>

return

  Type: | ProposedCollateralDeliveryReturn, complex content

  proposed collateral to be returned
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="return" type="ProposedCollateralDeliveryReturn"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.